Skip to content
Last updated

Lean - enroll method

Use this method to enroll a lean disposable with the standard process.

The enroll methods return a DisposableIssued object

For the full technical reference, see the OpenAPI specification.

Endpoint

POST /api/certificate/{lraId}/enroll

Headers

NameRequiredDescription
Content-TypeYesMust be application/json.
AuthorizationYesBasic Auth credentials.

Path parameters

ParameterTypeRequiredDescription
lraIdintegerYesLRA identifier.

Body parameters

ParameterTypeRequiredDescription
disposableHolderobjectYesDisposableHolder object.
disposableContactsobjectYesDisposableContacts object.
disposableDocobjectYesDisposableDoc object. Not required for specific categories, see more details into the section.
disposableCertificateobjectYesDisposableCertificate object.
identificationobjectNoDisposableIdentification object.
disposableAddressobjectNoDisposableAddress object.
buReIdstringNoOne Platform — Business Relation ID.

Request examples

Standard enrollment:

{
    "disposableHolder": {
        "birthCity": "Ancona",
        "birthDate": "2000-11-09",
        "citizenShip": "IT",
        "firstName": "Mario",
        "identificationCode": "RSSMRA80A01H501U",
        "identificationCountry": "IT",
        "identificationType": "ITALIAN_TAX_CODE",
        "lastName": "Rossi"
    },
    "disposableContacts": {
        "email": "user@example.com",
        "mobile": "+390000000000"
    },
    "disposableDoc": {
        "documentExpirationDate": "2029-11-09",
        "documentIssuer": "Comune di Ancona",
        "documentIssuerCountry": "IT",
        "documentIssuerDate": "2019-08-22",
        "documentNr": "AB1234567",
        "documentType": "CI"
    },
    "disposableCertificate": {
        "fullData": false,
        "otpType": "SMS",
        "password": "YOUR_PASSWORD",
        "securityCode": "YOUR_SECURITY_CODE",
        "type": "DISPOSABLE",
        "transactionLimit": {
            "value": 0,
            "currency": "EUR"
        }
    },
    "identification": {
        "identificationType": "DEVISU"
    },
    "disposableAddress": {
        "ccat": "A271",
        "city": "SENIGALLIA",
        "country": "IT",
        "province": "AN",
        "street": "Via Roma 1",
        "zip": "60019"
    }
}

With multi-language limitation of use:

{
    "disposableHolder": {
        "birthCity": "Ancona",
        "birthDate": "2000-11-09",
        "citizenShip": "IT",
        "firstName": "Mario",
        "identificationCode": "RSSMRA80A01H501U",
        "identificationCountry": "IT",
        "identificationType": "ITALIAN_TAX_CODE",
        "lastName": "Rossi"
    },
    "disposableContacts": {
        "email": "user@example.com",
        "mobile": "+390000000000"
    },
    "disposableDoc": {
        "documentExpirationDate": "2029-11-09",
        "documentIssuer": "Comune di Ancona",
        "documentIssuerCountry": "IT",
        "documentIssuerDate": "2019-08-22",
        "documentNr": "AB1234567",
        "documentType": "CI"
    },
    "disposableCertificate": {
        "fullData": false,
        "otpType": "SMS",
        "password": "YOUR_PASSWORD",
        "securityCode": "YOUR_SECURITY_CODE",
        "type": "DISPOSABLE",
        "limitationOfUse": {
            "withoutUsageLimitLRA": false,
            "language": "de"
        },
        "transactionLimit": {
            "value": 0,
            "currency": "EUR"
        }
    },
    "identification": {
        "identificationType": "DEVISU"
    },
    "disposableAddress": {
        "ccat": "A271",
        "city": "SENIGALLIA",
        "country": "IT",
        "province": "AN",
        "street": "Via Roma 1",
        "zip": "60019"
    }
}

Response examples

200 — Disposable issued

{
    "cert": "LS0tLS1CRUdJTiBDRVJU...",
    "certType": "DISPOSABLE",
    "certUsageLimit": "usage limit value",
    "certSerialNumber": "76BC101898E7E2DA",
    "certIdOtp": 1234567,
    "deviceCode": "RHIDP11111111111"
}

Errors: Check here the main errors triggered.